; not all normals are right 
;I've allways used the coordinates - next I define the Points before 
;So I don't have to write so much
;Maybe you could add some procedures: sphere ....
;
;Marcus
;2003-11-08

Procedure RenderBody( *RenderProcedure, Size.f)
  CallFunctionFast( *RenderProcedure, Size.f)
EndProcedure

Procedure RenderScene(*RenderProcedure,Fade.f)
 
  glColor3f_(0.0, 0.0, Fade)
  glTranslatef_(-0.5, 0.0, 0.0)
  RenderBody( *RenderProcedure, 0.1)

  glColor3f_(0.0, Fade, 0.0)
  glTranslatef_(1.0, 0.0, 0.0)
  RenderBody( *RenderProcedure, 0.1)

  glColor3f_(0.0, Fade, Fade)
  glTranslatef_(-0.5, 0.0, 0.5)
  RenderBody( *RenderProcedure, 0.1)

  glColor3f_(Fade, Fade, 0.0)
  glTranslatef_(0.0, 0.0, -1.0)
  RenderBody( *RenderProcedure, 0.1)

  glColor3f_(Fade, Fade / 2, 0.0)
  glTranslatef_(0.0, 0.5, 0.5)
  RenderBody( *RenderProcedure, 0.1)

  glColor3f_(Fade, 0.0, Fade)
  glTranslatef_(0.0, -1.0, 0.0)
  RenderBody( *RenderProcedure, 0.1)

  glColor3f_(Fade, 0.0, 0.0)
  glTranslatef_(0.0, 0.5, 0.0)
  RenderBody( *RenderProcedure, 0.2)
  
EndProcedure; 

Procedure RenderTetra(Size.f) 

glBegin_(#GL_TRIANGLES )
  glNormal3f_( 0.0,  0.0,  -1.0)
  glVertex3f_( -Size, -Size, -Size)
  glVertex3f_( 0, Size, -Size)
  glVertex3f_( Size, -Size, -Size)
  
  glNormal3f_( -0.5,  0.5,  0.5)
  glVertex3f_( -Size, -Size, -Size)
  glVertex3f_( 0, Size, -Size)
  glVertex3f_( 0, 0, Size)
 
  glNormal3f_( 0.5,  0.5,  0.5)
  glVertex3f_( 0, Size, -Size)
  glVertex3f_( Size, -Size, -Size)
  glVertex3f_( 0, 0, Size)
 
  glNormal3f_( 0,  -0.5,  0.5)
  glVertex3f_( Size, -Size, -Size)
  glVertex3f_( -Size, -Size, -Size)
  glVertex3f_( 0, 0, Size)
glEnd_()

EndProcedure 

Procedure RenderCube(Size.f) 

glBegin_(#GL_QUADS)
       ;' Left Face
  glNormal3f_( -1.0,  0.0,  0.0)
  glVertex3f_( Size, -Size, -Size)
  glVertex3f_( Size,  Size, -Size)
  glVertex3f_( Size,  Size,  Size)
  glVertex3f_( Size, -Size,  Size)
        ;' Right Face
  glNormal3f_(1.0,  0.0,  0.0); 
  glVertex3f_(-Size, -Size,  Size)
  glVertex3f_(-Size, -Size, -Size)
  glVertex3f_(-Size,  Size, -Size)
  glVertex3f_(-Size,  Size,  Size)
        ;' Front Face
  glNormal3f_( 0.0,  0.0, 1.0); 
  glVertex3f_(-Size,  Size, -Size)
  glVertex3f_( Size,  Size, -Size)
  glVertex3f_( Size, -Size, -Size)
  glVertex3f_(-Size, -Size, -Size)
        ;' Back Face
  glNormal3f_( 0.0,  0.0,  -1.0); 
  glVertex3f_(-Size, -Size,  Size)
  glVertex3f_(-Size,  Size,  Size)
  glVertex3f_( Size,  Size,  Size)
  glVertex3f_( Size, -Size,  Size)
        ;' Bottom Face
  glNormal3f_( 0.0,  -1.0,  0.0); 
  glVertex3f_( Size,  Size, -Size)
  glVertex3f_( Size,  Size,  Size)
  glVertex3f_(-Size,  Size,  Size)
  glVertex3f_(-Size,  Size, -Size)
        ;' Top Face
  glNormal3f_( 0.0, 1.0,  0.0); 
  glVertex3f_( Size, -Size,  Size)
  glVertex3f_(-Size, -Size,  Size)
  glVertex3f_(-Size, -Size, -Size)
  glVertex3f_( Size, -Size, -Size)
glEnd_();      

EndProcedure

Procedure RenderVertex(Size.f) 

glBegin_(#GL_TRIANGLES );
  glNormal3f_( 0.0,  0.0,  1.0)
  glVertex2f_( Size, Size)
  glVertex2f_( Size, -Size)
  glVertex2f_( -Size, -Size)
glEnd_()

EndProcedure 

Procedure DrawScene(hdc,*RenderProcedure, bBlur) 
  glPushMatrix_(); 

  glClearColor_( 0.0, 0.0, 0.0, 0.0 ) 
  glClear_(#GL_COLOR_BUFFER_BIT); 
  
  t1.f = GetTickCount_() / 1000; 

  For i=1 To bBlur 
    glClear_(#GL_DEPTH_BUFFER_BIT); 

    t2.f = t1.f + i / bBlur * 0.25; 
    
    glLoadIdentity_(); 
    glRotatef_(t2.f * 70.0, 1.0, 0.0, 0.0); 
    glRotatef_(t2.f * 80.0, 0.0, 1.0, 0.0); 
    glRotatef_(t2.f * 90.0, 0.0, 0.0, 1.0); 

    RenderScene(*RenderProcedure, i / bBlur ); 
  Next i
  
  glPopMatrix_(); 

  glFinish_()

  SwapBuffers_(hdc) 
  
EndProcedure 


; ExecutableFormat=Windows
; EOF