; Dies ist OpenGL Demo - es werden nur purebasic Aufrufe verwendet
;Ach ja die Tasten  W E R T Z C bewirken Vernderungen
;Folgende Sourcen als Vorbild genommen 
; OpenGL Motion Blur Demo 
; * Ported from Delphi to Purebasic by jammin 
;      Based on OpenGL Demo by Phil Freeman 
; * Switchprocedure
; * etwas von Danilo
; * noch etwas aus dem Forum
;
; Hoffe es gefllt!!
;
;This OpenGL Demo uses only real purebasic functions
;the keys WERTZC change your world
;I 've used the following source 
; OpenGL Motion Blur Demo 
; * Ported from Delphi to Purebasic by jammin 
;      Based on OpenGL Demo by Phil Freeman 
; * Switchprocedure
; * etwas von Danilo
; * noch etwas aus dem Forum
; * something from the german forum
;
;Hope you'll enjoy it
;
;Marcus
;2003-11-08

IncludeFile "OpenGL.pbi" 

IncludeFile "ogl_scene.pb" 

Procedure HandleError (Result, Text$) 
If Result = 0 
   MessageRequester("Error", Text$, 0) 
   End 
EndIf 
EndProcedure 


WindowWidth = 800 ; The window & GLViewport dimensions 
WindowHeight = 600 
hWnd = OpenWindow(0, 0, 0, WindowWidth, WindowHeight, #PB_Window_SystemMenu, "EchtZeit Motion Blur Demo") 
AddKeyboardShortcut(0 , #PB_Shortcut_Escape , #PB_Shortcut_Escape )
AddKeyboardShortcut(0 , #PB_Shortcut_W , #PB_Shortcut_W )
AddKeyboardShortcut(0 , #PB_Shortcut_E , #PB_Shortcut_E )
AddKeyboardShortcut(0 , #PB_Shortcut_C , #PB_Shortcut_C )
AddKeyboardShortcut(0 , #PB_Shortcut_R , #PB_Shortcut_R )
AddKeyboardShortcut(0 , #PB_Shortcut_T , #PB_Shortcut_T )
AddKeyboardShortcut(0 , #PB_Shortcut_Z , #PB_Shortcut_Z )
hdc = GetDC_(hWnd) 

pfd.PIXELFORMATDESCRIPTOR 

pfd\nSize = SizeOf(PIXELFORMATDESCRIPTOR) 
pfd\nVersion = 1 
pfd\dwFlags = #PFD_SUPPORT_OPENGL | #PFD_DOUBLEBUFFER | #PFD_DRAW_TO_WINDOW 
pfd\dwLayerMask = #PFD_MAIN_PLANE 
pfd\iPixelType = #PFD_TYPE_RGBA 
pfd\cColorBits = 24 
pfd\cDepthBits = 16 

pixformat = ChoosePixelFormat_(hdc, pfd) 

HandleError( SetPixelFormat_(hdc, pixformat, pfd), "SetPixelFormat()") 

hrc = wglCreateContext_(hdc) 

HandleError( wglMakeCurrent_(hdc,hrc), "vglMakeCurrent()") 

HandleError( glViewport_ (0, 0, WindowWidth, WindowHeight), "GLViewPort()") ; A rectangle which define the OpenGL output zone 

glEnable_ (#GL_DEPTH_TEST)   ; Enabled, it slowdown a lot the rendering. It's to be sure than the
                             ; rendered objects are inside the z-buffer.
bCull=~bCull
If ~bCull
       glEnable_ (#GL_CULL_FACE)    ; This will enhance the rendering speed as all the back face will be
                             ; ignored. This works only with CLOSED objects like a cube... Singles
                             ; planes surfaces will be visibles only on one side. 
EndIf
glEnable_(#GL_LIGHT0); 
glEnable_(#GL_LIGHTING); 
glEnable_(#GL_COLOR_MATERIAL); 
glDepthFunc_(#GL_LEQUAL); 

glShadeModel_(#GL_SMOOTH) 
glEnable_(#GL_FOG) 

bBlur.b=1
*RenderProcedure=@RenderTetra()


Repeat
DrawScene(hdc,*RenderProcedure, bBlur)

EventID = WindowEvent()
  Select EventID
  Case #PB_EventCloseWindow
    Quit = 1
  Case #PB_EventMenu 
    MenuID =EventMenuID()
    Select MenuID
    Case #PB_Shortcut_W
      If ePolygonMode = #GL_LINE
              ePolygonMode = #GL_FILL
      Else
              ePolygonMode = #GL_LINE
      EndIf
      glPolygonMode_(#GL_FRONT_AND_BACK, ePolygonMode);
    Case #PB_Shortcut_E
      If(~Material)
        glDisable_(#GL_FOG)
           Debug Material
      Else
        glEnable_(#GL_FOG)
      EndIf
      Material= ~Material
    Case #PB_Shortcut_R
      If *RenderProcedure=@RenderVertex()
        *RenderProcedure=@RenderTetra()
      ElseIf *RenderProcedure=@RenderTetra()
        *RenderProcedure=@RenderCube()
      Else
        *RenderProcedure=@RenderVertex()
      EndIf
    Case #PB_Shortcut_T
      If(~bLight)
         glDisable_(#GL_LIGHTING);//use vertex colors
           Debug bLight
       Else
         glEnable_(#GL_LIGHTING);//use lit material color
      EndIf
      bLight = ~bLight 
   Case #PB_Shortcut_Z
      If(bBlur=1)
         bBlur=5
      ElseIf(bBlur=5)
         bBlur = 10
      ElseIf(bBlur=10)
         bBlur = 20
      ElseIf(bBlur=20)
         bBlur = 50
       Else
         bBlur =1
       EndIf
    Case #PB_Shortcut_C
      If(~bCull)
         glDisable_(#GL_CULL_FACE);//use vertex colors
           Debug bCull
        Else
         glEnable_(#GL_CULL_FACE);//use lit material color
      EndIf
      bCull= ~bCull
    Case #PB_Shortcut_Escape
      Quit = 1
    EndSelect
  EndSelect
Until Quit = 1 

; ExecutableFormat=Windows
; EnableNT4
; EnableXP
; UseIcon=E:\Daten\inc\programming\Purebasic\examples\opengl\test\oglexample\icon.ico
; Executable=E:\Examples.dll
; CPU=2
; DisableDebugger
; EOF